#! /bin/sh
# $XConsortium: client.cpp,v 1.5 94/03/29 19:43:44 mor Exp $
#

# Copyright (c) 1993 Quarterdeck Office Systems
#
# Permission to use, copy, modify, distribute, and sell this software
# and software and its documentation for any purpose is hereby granted
# without fee, provided that the above copyright notice appear in all
# copies and that both that copyright notice and this permission
# notice appear in supporting documentation, and that the name
# Quarterdeck Office Systems, Inc. not be used in advertising or
# publicity pertaining to distribution of this software without
# specific, written prior permission.
#
# THIS SOFTWARE IS PROVIDED "AS-IS".  QUARTERDECK OFFICE SYSTEMS,
# INC., DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
# NONINFRINGEMENT.  IN NO EVENT SHALL QUARTERDECK OFFICE SYSTEMS,
# INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING SPECIAL,
# INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA, OR
# PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS
# OF WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

context=X
verbose=DETACH
name=
kind=CMD

while :
do
	case $1 in
	-c)
		context=$2
		shift; shift
		;;
	-g)
		kind=GENERIC-CMD
		shift
		;;
	-l)
		name="-l $2"
		shift; shift
		;;
	-v)
		verbose=NODETACH
		shift
		;;
	*)
		host=$1
		shift
		break
		;;
	esac
done

case $verbose in
DETACH)
	exec > /dev/null
	;;
esac

case "$DISPLAY" in
:*)	disp="`hostname`$DISPLAY"
	echo expanded $DISPLAY to $disp
	;;
*)	disp="$DISPLAY"
	;;
esac

(
cat << /
CONTEXT $context
MISC X DISPLAY=$disp
$kind $*
$verbose
/
xauth list $disp | sed 's/^/AUTH X11 /'
echo ""
) | rsh $host $name rstartd
